zx0decompress.h File Reference

Go to the source code of this file.

## Functions

void | zx0_decompress (void *sour, void *dest)

## Function Documentation

## zx0_decompress()

void zx0_decompress | ( | void * | sour,
|  | void * | dest
| ) |  |

Decompress zx0 compressed data from sour into dest

Parameters

  sour | Pointer to source zx0 compressed data
  dest | Pointer to destination buffer/address

Will decompress all of it's data to destination without stopping until the end of compressed data is reached. It is not possible to set a limit, so ensure the destination buffer has sufficient space to avoid an overflow.

Decompresses data which has been compressed with gbcompress using the `--alg=zx0` argument.